Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.context
Interface ConfigurableWebEnvironment

All Superinterfaces:
  ConfigurableEnvironment, ConfigurablePropertyResolver, Environment, PropertyResolver

All Known Implementing Classes:
  StandardServletEnvironment

    public interface ConfigurableWebEnvironment

extends ConfigurableEnvironment

Specialization of `ConfigurableEnvironment` allowing initialization of servlet-related `PropertySource` objects at the earliest moment the `ServletContext` and (optionally) `ServletConfig` become available.

Since:
  3.1.2
Author:
  Chris Beams
See Also:
  `ConfigurableWebApplicationContext.getEnvironment()`

Method Summary
`void` | `initPropertySources(javax.servlet.ServletContext servletContext, javax.servlet.ServletConfig servletConfig)` Replace any stub property source instances acting as placeholders with real servlet context/config property sources using the given parameters.

Methods inherited from interface org.springframework.core.env.ConfigurableEnvironment
`addActiveProfile, getPropertySources, getSystemEnvironment, getSystemProperties, merge, setActiveProfiles, setDefaultProfiles`

Methods inherited from interface org.springframework.core.env.Environment
`acceptsProfiles, getActiveProfiles, getDefaultProfiles`

Methods inherited from interface org.springframework.core.env.ConfigurablePropertyResolver
`getConversionService, setConversionService, setPlaceholderPrefix, setPlaceholderSuffix, setRequiredProperties, setValueSeparator, validateRequiredProperties`

Methods inherited from interface org.springframework.core.env.PropertyResolver
`containsProperty, getProperty, getProperty, getProperty, getProperty, getPropertyAsClass, getRequiredProperty, getRequiredProperty, resolvePlaceholders, resolveRequiredPlaceholders`

Method Detail

### initPropertySources

    void initPropertySources(javax.servlet.ServletContext servletContext,
                             javax.servlet.ServletConfig servletConfig)

  Replace any stub property source instances acting as placeholders with real servlet context/config property sources using the given parameters.

  Parameters:
    `servletContext` - the `ServletContext` (may not be `null`)
    `servletConfig` - the `ServletContext` (`null` if not available)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD